summaryrefslogtreecommitdiffstats
path: root/source/l/imlib/imlib.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/imlib/imlib.SlackBuild')
-rwxr-xr-xsource/l/imlib/imlib.SlackBuild20
1 files changed, 16 insertions, 4 deletions
diff --git a/source/l/imlib/imlib.SlackBuild b/source/l/imlib/imlib.SlackBuild
index 73c60d0a0..e0b2627db 100755
--- a/source/l/imlib/imlib.SlackBuild
+++ b/source/l/imlib/imlib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,9 +22,18 @@
VERSION=1.9.15
-ARCH=${ARCH:-x86_64}
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -35,6 +44,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -46,7 +58,7 @@ mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf imlib-$VERSION
-tar xvf $CWD/imlib-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/imlib-$VERSION.tar.?z* || exit 1
cd imlib-$VERSION
zcat $CWD/imlib.mitshm.render.diff.gz | patch -p1 --verbose || exit 1